ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmytro Grinenko (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-14428) Spark client and History Server failed to deploy from first try on HDP-2.3.0.0
Date Thu, 17 Dec 2015 21:29:46 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-14428?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15062865#comment-15062865
] 

Dmytro Grinenko commented on AMBARI-14428:
------------------------------------------

the patch is not for the trunk, message could be ignored

> Spark client and History Server failed to deploy from first try on HDP-2.3.0.0
> ------------------------------------------------------------------------------
>
>                 Key: AMBARI-14428
>                 URL: https://issues.apache.org/jira/browse/AMBARI-14428
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.2.1
>            Reporter: Dmytro Grinenko
>            Priority: Blocker
>             Fix For: 2.2.1
>
>         Attachments: AMBARI-14428.patch
>
>
> {code}
> Traceback (most recent call last):
>   File "/var/lib/ambari-agent/cache/common-services/SPARK/1.2.0.2.2/package/scripts/spark_client.py",
line 59, in <module>
>     SparkClient().execute()
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 219, in execute
>     method(env)
>   File "/var/lib/ambari-agent/cache/common-services/SPARK/1.2.0.2.2/package/scripts/spark_client.py",
line 35, in install
>     self.configure(env)
>   File "/var/lib/ambari-agent/cache/common-services/SPARK/1.2.0.2.2/package/scripts/spark_client.py",
line 38, in configure
>     import params
>   File "/var/lib/ambari-agent/cache/common-services/SPARK/1.2.0.2.2/package/scripts/params.py",
line 152, in <module>
>     version = get_hdp_version('spark-thriftserver')
>   File "/usr/lib/python2.6/site-packages/ambari_commons/os_family_impl.py", line 89,
in thunk
>     return fn(*args, **kwargs)
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/get_hdp_version.py",
line 79, in get_hdp_version
>     'Unable to determine the current version because of a non-zero return code of {0}'.format(str(return_code)))
> resource_management.core.exceptions.Fail: Unable to determine the current version because
of a non-zero return code of 1
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message